scala.xml
class NodeBuffer

[source: `scala/xml/NodeBuffer.scala`]

`` `class` NodeBuffer
  `extends` ArrayBuffer[Node]

  This class acts as a Buffer for nodes. If it is used as a sequence of nodes `Seq[Node]`, it must be ensured that no updates occur after that point, because `scala.xml.Node` is assumed to be immutable.

  Despite this being a sequence, don't use it as key in a hashtable. Calling the hashcode function will result in a runtime error.

Author
  Burak Emir
Version
  1.0

Values and Variables inherited from ResizableArray
initialSize, array

Method Summary
`def` | &+ (o : Any) : NodeBuffer Append given object to this buffer, returns reference on this NodeBuffer for convenience. Some rules apply: If o is null, it is ignored. If it is an Iterator or Iterable, its elements will be added. If o is a node, it is added as it is. If it is anything else, it gets wrapped in an Atom.

Methods inherited from ArrayBuffer
+=, ++=, ++, ++=, +:, apply, ++:, insertAll, update, remove, clear, clone, equals, stringPrefix

Methods inherited from ResizableArray
size0, size0_=, length, reduceToSize, copyToArray, copyToBuffer, elements, ensureSize, swap, copy

Methods inherited from Buffer
+, ++=, ++, ++, -=, append, appendAll, prepend, prependAll, insert, trimStart, trimEnd, <<, hashCode

Methods inherited from Mutable
projection, readOnly, drop, take, slice, reverse

Methods inherited from RandomAccessSeq
toStream, safeIs

Methods inherited from Seq
lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, map, flatMap, filter, takeWhile, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, sameElements, toList, mkString, mkString, mkString, addString, addString, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`` `def` &+(o : Any) : NodeBuffer

  Append given object to this buffer, returns reference on this NodeBuffer for convenience. Some rules apply: If o is null, it is ignored. If it is an Iterator or Iterable, its elements will be added. If o is a node, it is added as it is. If it is anything else, it gets wrapped in an Atom.

Parameters
  `o -` converts to an xml node and adds to this node buffer
Returns
  this nodebuffer